%define pypi_name cppy

Name:             python-cppy
Version:          1.1.0
Release:          %mkrel 1
Summary:          A C++ header library for Python extension modules
License:          BSD
Group:            Development/Python
URL:              https://pypi.org/project/cppy/
Source0:          %{pypi_name}-%{version}.tar.xz
BuildArch:        noarch

%description
A small C++ header library which makes it easier to write Python
extension modules. The primary feature is a PyObject smart pointer
which automatically handles reference counting and provides
convenience methods for performing common object operations.

%package -n python3-%{pypi_name}
Summary:        Python3 implementation of Cppy
Group:          Development/Python
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
A small C++ header library which makes it easier to write Python
extension modules. The primary feature is a PyObject smart pointer
which automatically handles reference counting and provides
convenience methods for performing common object operations.

%prep
%setup -q -n %{pypi_name}-%{version}

# Remove bundled egg-info
%__rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%doc README.rst
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info
%{python3_sitelib}/%{pypi_name}/*

%changelog
* Sun Apr 03 2022 TerryN <terryn94 at gmail.com> 1.1.0-1pclos2022
- new package for python 3.10


